Subject: Re: [PATCH 5/5] libata/drivers: Add pata_macio, driver Apple PowerMac/PowerBook IDE controller

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 02 Dec 2009 09:34:37 +1100

On Tue, 2009-12-01 at 21:43 +0100, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > This is a libata driver for the "macio" IDE controller used on most Apple
> > PowerMac and PowerBooks. It's a libata equivalent of drivers/ide/ppc/pmac.c
> 
> Tried it on my iBook G4 and I got an oops during probing, in
> pata_macio_common_init+0x378/0x614.

Any chance you can send me the oops log ? (you have a digital
camera ? :-)

What model of ibook ? There's one here I could try on I think but it
might not be the same model.

Cheers,
Ben.